Bug 1292480 - Ruby 2.3 [NEEDINFO]
Ruby 2.3
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Changes Tracking (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vít Ondruch
ChangeAcceptedF24, SystemWideChange
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-17 09:48 EST by Jan Kurik
Modified: 2016-09-29 07:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-29 07:25:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
vondruch: needinfo? (jkurik)


Attachments (Terms of Use)

  None (edit)
Description Jan Kurik 2015-12-17 09:48:07 EST
This is a tracking bug for Change: Ruby 2.3
For more details, see: https://fedoraproject.org//wiki/Changes/Ruby_2.3

Ruby 2.3 is the latest stable version of Ruby. Many new features and improvements are included for the increasingly diverse and expanding demands for Ruby. With this major update from Ruby 2.2 in Fedora 22 to Ruby 2.3 in Fedora 24, alongside JRuby, Fedora becomes the superior Ruby development platform.
Comment 1 Jan Kurik 2016-04-20 11:01:35 EDT
On 2016-Apr-19 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 24 release. At this point all the Changes not at least in in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan
Comment 2 Jan Kurik 2016-04-20 11:17:24 EDT
Switching to ON_QA as the assignee clearly indicated this is fully implemented and ready for verification.
Comment 3 Victor Costan 2016-08-23 04:33:56 EDT
Ruby 2.3 works pretty well for me in Fedora 24.
Comment 4 Vít Ondruch 2016-08-24 10:18:28 EDT
Jan, I think this bug and plenty of similar bugs in this component should be closed once the release (in this case F24) is released, don't they? This should be somehow automated and part of the process. I don't feel I should close the ticket myself.

Note You need to log in before you can comment on or make changes to this bug.